GDCM 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions
vtkImagePlanarComponentsToComponents Class Reference

`#include <vtkImagePlanarComponentsToComponents.h>`

List of all members.

## Public Member Functions

void | PrintSelf (ostream &os, vtkIndent indent)
| vtkTypeRevisionMacro (vtkImagePlanarComponentsToComponents, vtkImageAlgorithm)

## Static Public Member Functions

static vtkImagePlanarComponentsToComponents * | New ()

## Protected Member Functions

| vtkImagePlanarComponentsToComponents ()
| ~vtkImagePlanarComponentsToComponents ()
virtual int | RequestData (vtkInformation *, vtkInformationVector **, vtkInformationVector *)

## Constructor & Destructor Documentation

vtkImagePlanarComponentsToComponents::vtkImagePlanarComponentsToComponents | ( |  | ) | `[protected]`

vtkImagePlanarComponentsToComponents::~vtkImagePlanarComponentsToComponents | ( |  | ) | `[inline, protected]`

## Member Function Documentation

static vtkImagePlanarComponentsToComponents* vtkImagePlanarComponentsToComponents::New | ( |  | ) | `[static]`

void vtkImagePlanarComponentsToComponents::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |

virtual int vtkImagePlanarComponentsToComponents::RequestData | ( | vtkInformation * | ,
|  | vtkInformationVector ** | ,
|  | vtkInformationVector * |
| ) |  | `[protected, virtual]`

vtkImagePlanarComponentsToComponents::vtkTypeRevisionMacro | ( | vtkImagePlanarComponentsToComponents | ,
|  | vtkImageAlgorithm |
| ) |  |

The documentation for this class was generated from the following file:

- vtkImagePlanarComponentsToComponents.h